import QtQuick 1.0

Item{
    id:localDatabase

    function getDatabase(){
        return openDatabaseSync("turnsup.db","1.0","TurnsUp",100000)
    }

    function initialize(){
        var db = getDatabase();
        db.transaction (function(tx){
                            tx.executeSql('CREATE TABLE IF NOT EXISTS MainMap (id INTEGER PRIMARY KEY ASC, taskName varchar(255))')
                            tx.executeSql('CREATE TABLE IF NOT EXISTS TaskMap (taskID INTEGER, pplName varchar(255))')
                        })
    }


    function rowCount(){
        var db=getDatabase();
        var rc = 0;
        db.transaction(function(tx){
                           var rs = tx.executeSql('SELECT COUNT(id) as rc from MainMap')
                           rc= rs.rows.item(0).rc
                       }
                       )
        return rc;
    }


    function getData(){
        var db = getDatabase();
        var rs;
        db.transaction(function(tx){
                           rs = tx.executeSql('SELECT * from MainMap')
                       })

        return rs;
    }

    function writeTask(taskName)
    {
        var db = getDatabase();
        db.transaction(function(tx){
                           var rs = tx.executeSql('INSERT INTO MainMap (taskName) VALUES (?)',[taskName])
                       }
                       )
    }

    function writeNames(myId,name)
    {
        var db = getDatabase();
        db.transaction(function(tx){
                           var rs = tx.executeSql('INSERT INTO TaskMap VALUES (?,?)',[myId,name])
                       }
                       )
    }

    function deleteData(myId)
    {
        var db = getDatabase();
        db.transaction(function(tx){
                           var rs = tx.executeSql('DELETE FROM MainMap where id = ?',[myId])
                           console.log(rs.affectedRows);
                           rs = tx.executeSql('DELETE from TaskMap where taskID = ?',[myId])
                           console.log(rs.affectedRows);

                       }
                       )

    }

    function deleteName(name,myId)
    {
        var db=getDatabase();
        db.transaction(function(tx){
                           var rs = tx.executeSql('DELETE from TaskMap where taskID = ? and pplName = ?',[myId,name])
                           console.log(rs.affectedRows);
                       }
                       )
    }

    function getPplName(myId)
    {
        var db=getDatabase();
        var rs;
        db.transaction(function(tx){
                           rs = tx.executeSql('SELECT pplName from TaskMap where taskID = ?',[myId])
                           console.log("mydb return"+rs.rows.length)
                       }
                       )
        return rs;
    }

    function getTaskName(myId)
    {
        var db=getDatabase();
        var taskName;
        db.transaction(function(tx){
                           var rs = tx.executeSql('SELECT taskName from MainMap where id = ?',[myId])
                           taskName = rs.rows.item(0).taskName
                       }
                       )
        return taskName;
    }





}
