// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0

Page{
    id:page
    orientationLock: PageOrientation.LockPortrait
    property string name: "namePage"
    property string selectedName;

    onStatusChanged: {
        if(status == PageStatus.Activating)
        {
            appendNames();
        }
    }

    Rectangle{
        anchors.fill: parent
        color:"black"

        ListView{
            id:listView
            x: 53
            y: 174
            width: 381
            height: 534
            model:nameModel

            delegate:Item{
                width:380
                height:90

                Rectangle{
                    id:bgRect
                    width:380
                    height:90
                    color:(name == selectedName)? "grey":"black"

                    Text{
                        color:"white"
                        font.pointSize: 25
                        anchors.left: parent.left
                        anchors.leftMargin: 10
                        anchors.verticalCenter: parent.verticalCenter
                        width:360
                        elide: Text.ElideRight
                        text:name
                    }
                }

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        selectedName = name;
                    }
                }
            }
        }

        Image {
            id: pageBg
            anchors.fill: parent
            source: "res/bg-namePage.png"

            Image{
                x: 13
                y: 714
                smooth: true
                source: "res/btn-back.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        pageStack.pop();
                    }
                }
            }

            Image{
                x: 132
                y: 715
                smooth: true
                source:"res/btn-add.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked:{
                        peopleSheet.fromWhere = "namePage"
                        peopleSheet.open();
                    }
                }
            }

            Image{
                x: 377
                y: 713
                smooth: true
                source:"res/btn-next.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        if(nameModel.count>1)
                            appState.findPage(goPage,"goPage")
                        else
                            nameWarning.show();
                    }
                }
            }

            Image{
                x: 253
                y: 713
                smooth: true
                source:"res/btn-remove.png"
                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        if(selectedName != "")
                        {
                            localDb.deleteName(selectedName,currentId)
                            selectedName = "";
                            appendNames();
                        }

                        else
                            nameWarning.show();
                    }
                }

            }
        }
    }
    ListModel{
        id:nameModel
    }
    PeopleSheet{
        id:peopleSheet

    }

    InfoBanner{
        id:nameWarning
        text:"You need to have a name"
    }

    function appendNames()
    {
        nameModel.clear();
        var rs = localDb.getPplName(currentId)
        for(var i=0; i<rs.rows.length; i++)
        {
            nameModel.append({"name":rs.rows.item(i).pplName})
        }
    }
}
