import QtQuick 1.0
import com.nokia.meego 1.0


Sheet {
    id: sheet
    acceptButtonText: "Save"
    rejectButtonText: "Cancel"
    property string fromWhere: ""

    content: Item {
        id: sheetContent

        anchors.fill: parent

        MouseArea {
            anchors.fill: parent
            onClicked: {
                tempInput.closeSoftwareInputPanel()
            }
        }

        TextInput {
            id: tempInput
        }

        TextField {
            id: searchText
            width: 460
            height: 70
            placeholderText: (fromWhere == "task")? "Please enter task name":"Please enter name"
            anchors {
                top: parent.top
                topMargin: 20
                horizontalCenter: parent.horizontalCenter
            }

            Keys.onPressed: {
                if (event.key == 16777220) {
                    tempInput.closeSoftwareInputPanel()
                }
            }
        }
    }

    onAccepted: {
        if (searchText.text != "") {

            if(fromWhere == "task")
            {
                localDb.writeTask(searchText.text);
                currentId = -1;
                refreshModel();
            }

            else{
                localDb.writeNames(currentId,searchText.text);
                selectedName = "";
                appendNames();
            }

            searchText.text = ""
            sheet.close()

        } else {

            if(fromWhere == "task")
            {
                taskWarning.text = "Please type a task name"
                taskWarning.show()
            }
            else
            {
                nameWarning.text = "Please type a name"
                nameWarning.show();
            }
        }
    }


    function clicked(name)
    {
        sheet.open();
    }


}
