import QtQuick 1.0
import com.nokia.meego 1.0

Page{
    id:page
    property string name :"resultPage"
    orientationLock: PageOrientation.LockPortrait

    onStatusChanged: {
        if(status == PageStatus.Activating)
        {
            var rs = localDb.getPplName(currentId);
            randomizePpl(rs);
        }
    }

    Image{
        id:bgImg
        anchors.fill: parent
        source:"res/page5.png"

        Image {
            id: image1
            x: 364
            y: 706
            smooth: true
            source: "res/btn-back.png"

            MouseArea {
                id: mouse_area1
                anchors.fill: parent

                onClicked: {
                    appState.findPage(initialPage,"initialPage")
                }
            }
        }
    }


    Text{
        id:nameText
        font.pointSize: 40
        color:"white"
        anchors.centerIn: parent
        anchors.verticalCenterOffset: -150
    }

    Text{
        id:taskText
        font.pointSize: 40
        color:"white"
        anchors.centerIn: parent
        width: (taskText.paintedWidth>420)? 420: taskText.paintedWidth
        elide: (taskText.paintedWidth>420)? Text.ElideRight:Text.ElideNone
        text:localDb.getTaskName(currentId)
    }

    function randomizePpl(rs)
    {
        var randNum;
        if (rs.rows.length > 1)
            randNum = generateRand(0,rs.rows.length-1)
        else
            randNum   = 0;
        nameText.text = rs.rows.item(randNum).pplName
    }

    function generateRand(minVal, maxVal)
    {
        var randVal = minVal + (Math.random()*(maxVal-minVal))
        randVal= Math.round(randVal)
        return randVal
    }

}
