// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0

Page{
    id:page
    orientationLock: PageOrientation.LockPortrait
    property string name: "taskPage"

    onStatusChanged: {
        if(status == PageStatus.Activating){
            currentId = -1;
            refreshModel();
        }
    }


    Rectangle{
        anchors.fill: parent
        color:"black"

        ListView{
            x: 53
            y: 174
            width: 381
            height: 534
            model:taskModel

            delegate:Item{
                width:380
                height:90

                Rectangle{
                    id:bgRect
                    width:380
                    height:90
                    color:(currentId == id)? "grey":"black"

                    Text{
                        color:"white"
                        font.pointSize: 25
                        anchors.left: parent.left
                        anchors.leftMargin: 10
                        anchors.verticalCenter: parent.verticalCenter
                        text:name
                        width:360
                        elide: Text.ElideRight
                    }
                }

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        currentId = id

                    }
                }
            }
        }



        Image {
            id: pageBg
            anchors.fill: parent
            source: "res/bg-taskPage.png"



            Image{
                x: 13
                y: 714
                smooth: true
                source: "res/btn-back.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        pageStack.pop();
                    }
                }
            }

            Image{
                x: 132
                y: 715
                smooth: true
                source:"res/btn-add.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked:{
                        peopleSheet.fromWhere = "task"
                        peopleSheet.open();
                    }
                }
            }

            Image{
                x: 377
                y: 713
                smooth: true
                source:"res/btn-next.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        if(currentId != -1)
                        {
                            appState.findPage(namePage,"namePage")
                        }
                        else
                        {
                            taskWarning.text = "Select a task"
                            taskWarning.show();
                        }
                    }
                }
            }

            Image{
                x: 253
                y: 713
                smooth: true
                source:"res/btn-remove.png"

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        if(currentId != -1)
                        {
                            localDb.deleteData(currentId)
                            currentId = -1;
                            refreshModel();
                        }
                        else
                        {
                            taskWarning.text = "Select a task"
                            taskWarning.show();
                        }
                    }
                }
            }
        }
    }

    ListModel{id:taskModel}
    PeopleSheet{id:peopleSheet}

    InfoBanner{
        id:taskWarning

    }

    function refreshModel()
    {
        taskModel.clear();

        if(localDb.rowCount() > 0)
        {
            var rs = localDb.getData()
            for(var i=0; i<localDb.rowCount(); i++)
            {
                taskModel.append({"name": rs.rows.item(i).taskName,"id":rs.rows.item(i).id})
            }
        }
    }



}
